Bug 594756 - Review Request: apache-commons-beanutils - rename of jakarta-commons-beanutils
Review Request: apache-commons-beanutils - rename of jakarta-commons-beanutils
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
: 225921 (view as bug list)
Depends On:
Blocks: JakartaCommonsRename 595749
  Show dependency treegraph
 
Reported: 2010-05-21 10:07 EDT by Stanislav Ochotnicky
Modified: 2010-05-26 04:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 04:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
akurtako: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2010-05-21 10:07:25 EDT
Spec URL: http://sochotni.fedorapeople.org/apache-commons-beanutils.spec
SRPM URL: http://sochotni.fedorapeople.org/apache-commons-beanutils-1.8.3-1.fc12.src.rpm

Description: The scope of this package is to create a package of Java utility methods for accessing and modifying the properties of arbitrary JavaBeans.  No
dependencies outside of the JDK are required, so the use of this package is very lightweight.
Comment 1 Alexander Kurtakov 2010-05-21 10:10:02 EDT
I'll take this one.
Comment 2 Stanislav Ochotnicky 2010-05-21 10:19:45 EDT
Apparently checkstyle has requires on jakarta-commons-beanutils-javadoc so I will have to add provides in r2...
Comment 3 Alexander Kurtakov 2010-05-21 13:21:33 EDT
Review:

OK: rpmlint must be run on every package. Output:

apache-commons-beanutils-javadoc.noarch: W: obsolete-not-provided
jakarta-commons-beanutils-javadoc
apache-commons-beanutils.noarch: W: non-conffile-in-etc
/etc/maven/fragments/apache-commons-beanutils
Not a problem. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 
OK: I'm aware this is a rename and obsoletes/provides are good.
Comment 4 Alexander Kurtakov 2010-05-21 13:22:48 EDT
This package is APPROVED.
Comment 5 Stanislav Ochotnicky 2010-05-24 06:38:03 EDT
New Package CVS Request
=======================
Package Name: apache-commons-beanutils
Short Description: Java utility methods for accessing and modifying properties of arbitrary JavaBeans
Owners: sochotni fnasser
Branches: 
InitialCC:
Comment 6 Stanislav Ochotnicky 2010-05-24 07:32:12 EDT
*** Bug 225921 has been marked as a duplicate of this bug. ***
Comment 7 Dennis Gilmore 2010-05-25 16:53:31 EDT
CVS Done
Comment 8 Stanislav Ochotnicky 2010-05-26 04:31:02 EDT
Package built in koji: https://koji.fedoraproject.org/koji/buildinfo?buildID=175137

Thanks all. Closing.

Note You need to log in before you can comment on or make changes to this bug.